summaryrefslogtreecommitdiffstats
path: root/apcupsd-cli/apcupsd
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xssn.at>2010-07-13 09:05:18 +0200
committerFlorian Pritz <bluewind@xssn.at>2010-07-13 09:05:18 +0200
commit953368befe24437af41c0309263040ec6ce5d25d (patch)
tree5f9275898d8fa8d88ae43d0e696b5c7c20d56244 /apcupsd-cli/apcupsd
parent8d23351755ef023dc68e90de539ae086dda7dcec (diff)
downloadaur-packages-953368befe24437af41c0309263040ec6ce5d25d.tar.gz
aur-packages-953368befe24437af41c0309263040ec6ce5d25d.tar.xz
update
Signed-off-by: Florian Pritz <bluewind@xssn.at>
Diffstat (limited to 'apcupsd-cli/apcupsd')
-rwxr-xr-xapcupsd-cli/apcupsd44
1 files changed, 44 insertions, 0 deletions
diff --git a/apcupsd-cli/apcupsd b/apcupsd-cli/apcupsd
new file mode 100755
index 0000000..3cd5c9d
--- /dev/null
+++ b/apcupsd-cli/apcupsd
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /sbin/apcupsd`
+case "$1" in
+ start)
+ stat_busy "Starting APCUPSD Daemon"
+ rm -f /etc/apcupsd/powerfail
+ rm -f /etc/nologin
+ [ -z "$PID" ] && /sbin/apcupsd -f /etc/apcupsd/apcupsd.conf
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ PID=`pidof -o %PPID /sbin/apcupsd`
+ echo $PID > /var/run/apcupsd.pid
+ add_daemon apcupsd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping APCUPSD Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/apcupsd.pid
+ rm_daemon apcupsd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ status)
+ /sbin/apcaccess status
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|status}"
+esac
+exit 0